# Onboardee-Cypress

Cypressove testy pro webovou aplikaci Onboardee.io.

## Jak spustit testy

### # Instalace projektu

Pred spustenim je potreba naistalovat prislusne dependence pomoci prikazu nize.

```bash
npm install
```

### # Spusteni testu

#### ! Dulezite informace

Z pravnich duvodu se v kodu se nachazi 4 chybejici radky (TODO intentional missing part of the code -X-), bez kterych nelze testy spustit. 

Zaroven je pro spusteni testu potreba mit vytvoreny testovaci workspace "testXXXXXX.onbee.link", kde XXXXXX je vygenerovane 6 mistne cislo.

Pro ziskani pristupu kontaktujte [phamha1@uhk.cz](mailto:phamha1@uhk.cz).

#### Samotne spusteni

##### # Beh testu v konzoli
  
Nasledujici prikaz rozjede testy v konzoli.

```bash
CYPRESS_WORKSPACE_NAME=testXXXXXX npx cypress run
```

Je mozne specifikovat soubory.

```bash
CYPRESS_WORKSPACE_NAME=testXXXXXX npx cypress run --spec cypress/e2e/*/*/*.cy.js
```

##### # Beh testu v uzivatelskem prostedi Cypressu

Nasledujici prikaz otevre Cypress a jeho uzivatelske prostredi.

```bash
CYPRESS_WORKSPACE_NAME=testXXXXXX npx cypress open
```
