import * as employee from "../../../support/testFunctions/employee/employees"
import * as template from "../../../support/testFunctions/templates"
import * as data from "../../../fixtures/data"

export function career() {


    describe('Career', () => {

        it('Adds new tasks', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Career')
            template.openModule('ONBOARDING')
            
            template.addTask('new task1', 'new task desc', false, data.content[0])
            template.addTask('new task2','new task desc', false, data.content[1])
        })

        it('Adds another new milestone with section and task', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Career')

            template.addModule('PROMOTION', false)
            template.openModule('PROMOTION')
            
            template.addPhase('new section')
            template.addTask('new task', 'new task desc', false)
        })
    })
}