import * as keyrole from "../../../support/testFunctions/settings/keyroles_and_custom_fields"
import * as data from "../../../fixtures/data"

export function keyroles() {

    describe('Keyroles', () => {

        beforeEach(() => {

            cy.visit('/settings/keyroles')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
        
        it('Selects all masters', () => {

            keyrole.selectMaster('GDPR', data.person[0].surname)
            keyrole.selectMaster('Invoice', data.person[0].surname)
            keyrole.selectMaster('Invoice', data.person[1].surname)
            keyrole.selectMaster('Delete', data.person[0].surname)
        })

        it('Deletes all masters', () => {

            keyrole.deleteAllMasters('GDPR')
            keyrole.deleteMaster('Invoice', data.person[0].surname)
            keyrole.deleteAllMasters('Invoice')
            keyrole.deleteAllMasters('Delete')
        })   
    })
}