/**
 * Check teamleader 
 * 
 * @param {string} leaderName name of the team leader
 */
export function checkTeamleader(leaderName) {

    cy.get('div#mainContent >+++>>>+>>>:first()').as('brick').should('contain', 'Teamleader')
    cy.get('@brick').should('contain', leaderName)
}

/**
 * Check no teamleader 
 * 
 */
export function checkNoTeamleader() {

    cy.get('div#mainContent >+++>>>+>>>:first()').as('brick').should('not.contain', 'Teamleader')
}

/**
 * Check members 
 * 
 * @param {int} memberCount number of members in team
 */
export function checkMemberCount(memberCount) {

    cy.get('div#mainContent >+++>>>+>>>').should('contain', memberCount + 2)
}

/**
 * Check members 
 * 
 * @param {[string]} members list of members in team
 */
export function checkMembers(members) {

    members.forEach(member => {
        
        cy.get('div#mainContent >+++>>>+>>>').should('contain', member)
    })
    
}

