const { defineConfig } = require("cypress");

module.exports = defineConfig({

  viewportWidth: 1440,
  viewportHeight: 960,
  defaultCommandTimeout: 30000,
  requestTimeout: 25000,
  responseTimeout: 25000,
  videoUploadOnPasses: false,

  e2e: { 
    // experimentalSessionAndOrigin: true,
    setupNodeEvents(on, config) {
      // implement node event listeners here
    },
    numTestsKeptInMemory: 10,
    experimentalMemoryManagement: true,
    chromeWebSecurity: false,

  },

  component: {
    devServer: {
      framework: "create-react-app",
      bundler: "webpack",
    },
  },
});
