import * as employee from "../../../support/testFunctions/employee/employees"
import * as setUser from "../../../support/testFunctions/settings/roles"
import * as data from "../../../fixtures/data"

export function login() {

    describe('Login', () => {

        it('Checks login tab', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Login')

            cy.wait(5000)
        })

        it ('Creates a user', () => {

            cy.visit('/settings/users')
            setUser.createUser(data.user[0])
            setUser.createUser(data.user[1])
        })

        it ('Links user to an account', () => {

            cy.visit('/settings/users')
            setUser.linkAccount(data.user[0], data.person[0].surname)
            setUser.linkAccount(data.user[1], data.person[0].surname)
        })

        it('Checks login tab', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Login')

            employee.checkLogin(data.user[0])
            employee.checkLogin(data.user[1])
            cy.wait(5000)
        })

        it ('Deletes login', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Login')

            employee.deleteLogin(data.user[0])
            employee.deleteLogin(data.user[1])
        })
    })
}