import * as employee from "../../../support/testFunctions/employee/employees"
import * as data from "../../../fixtures/data"

export function position() {

    describe('Employee without positon', () => {
        
        it('Adds an employee without position', () => {

            employee.addEmployee(data.person[2], null, null, null)
        })

        it('Checks visible tabs - employee without a position', () => {

            employee.openEmployeeCard(data.person[2].surname)
            employee.checkTabs(false)
        })

        it('Deletes an employee without position', () => {

            employee.openEmployeeCard(data.person[2].surname)
            employee.deleteEmployee(data.person[2].surname)
        })
    })

    describe('Employee with positon', () => {

        it('Checks visible tabs - employee assigned to a position', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.checkTabs(true)
        })

    })
}