import * as setUser from "../../../support/testFunctions/settings/roles"
import * as data from "../../../fixtures/data"

export function users() {

    describe('Users', () => {
        
        beforeEach(() => {

            cy.visit('/settings/users')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })


        it ('Creates a user', () => {

            setUser.createUser(data.user[0])

        })

        it ('Links user to an account', () => {

            setUser.linkAccount(data.user[0], data.person[0].surname)
            
        })

        it ('Changes roles', () => {

            setUser.changeRole(data.user[0])
            setUser.changeRole(data.user[0], 'EMPLOYEE')
        })

        it('Sends an email', () => {

            setUser.sendInv()
        })  
    })
}